### Method

# AppStream Component get_system_compatibility_score

#### Declaration [src]

    gint
    as_component_get_system_compatibility_score (
      AsComponent* cpt,
      AsSystemInfo* sysinfo,
      gboolean is_template,
      GPtrArray** results
    )

#### Description [src]

Return a score between 0 and 100 determining how compatible the component is with the system configuration provided as parameter.

0 means the componsnt will not work at all, while 100 is best compatibility.

#### Parameters

`sysinfo`

  Type: `AsSystemInfo`

  An `AsSystemInfo` to use for system information.

  The data is owned by the caller of the method.

`is_template`

  Type: `gboolean`

  If `TRUE`, treat system info as neutral template, ignoring any peripheral devices or kernel relations.

`results`

  Type: An array of `None`

  Receive the resulting check results.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

#### Return value

Type: `gint`

A compatibility score between 0 and 100.